/*
 * Copyright (C) 2000 Ken McCrary
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. (www.gnu.org)
 */
package com.kenmccrary.jtella;


/**
 *  GNUTella Ping message
 *
 *
 */
public class PingMessage extends Message
{
  /**
   *  Ping message queries for hosts
   *  No payload on this message
   *
   */
  public PingMessage()
  {
    super(Message.PING);
  }


  /**
   *  Construct a PingMessage from network data
   *
   */
  PingMessage(byte[] rawMessage)
  {
    super(rawMessage);
  }
} 
